%define src_ver 0.3
%define languagelocal gaidhlig
%define languageeng scottish
%define languagecode gd

Summary: 	Scottish files for ispell
Name: 		ispell-%{languagecode} 
Version: 	0.3
Release: 	10mdk
URL: 		none
Source:		ispell-gd-%{src_ver}.tar.bz2
License: 	GPL
Group: 		System/Internationalization
BuildRequires:	ispell
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Provides: spell-gd

Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
# the binary format changed with ispell 3.2.06
PreReq: ispell >= 3.2.06-2mdk
Provides: ispell-dictionary

Obsoletes: igaelic

%description
This is a Scots Gaelic dictionary for ispell.

%prep
%setup
make gaidhlig.hash
mv -f gaidhlig.words %{languagelocal}.hash

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_prefix}/lib/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_prefix}/lib/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
%doc COPYING README ChangeLog
%{_prefix}/lib/ispell/*

%changelog
* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 0.3-10mdk
- add tag Provides spell-gd

* Tue Nov 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.3-9mdk
- Ispell data will remain in /usr/lib/ispell for now

* Thu Sep 19 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.7-8mdk
- changed Requires: ispell to PreReq: ispell

* Mon Jun 03 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.3-7mdk
- rebuild for new ispell

* Wed Oct 10 2001 Stefan van der Eijk <stefan@eijk.nu> 0.3-6mdk
- BuildRequires:	ispell
- Copyright --> License

* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 0.3-5mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 0.3-4mdk
- Cleaned up the spec and moved to standard template.

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3-3mdk
- BM

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.3-2mdk
- adapted to new Group: naming

* Thu Feb 03 2000 <pablo@mandrakesoft.com>
- adapted to Linux Mandrake (bzip2'ed man page, etc)
- made a symlink for compatibility with LaTeX babel language names (used by
  LyX/KlyX spell checking)

